Module java.desktop
Package java.awt.desktop

## Interface AppReopenedListener

- All Superinterfaces:
    `EventListener`, `SystemEventListener`

      public interface AppReopenedListener
      extends SystemEventListener

  Implementors receive notification when the app has been asked to open again. This notification is useful for showing a new document when your app has no open windows.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appReopened​(AppReopenedEvent e)` | Called when the app has been reopened

- - ### Method Detail

    - #### appReopened

          void appReopened​(AppReopenedEvent e)

      Called when the app has been reopened
      Parameters:
        `e` - the request to reopen the app